using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Application.Web.Controllers.Pub
{
    /// <summary>
    /// 公共接口
    /// </summary>
    [Route("[controller]/[action]")]
    [ApiController]
    public class PubController : ControllerBase
    {
        private readonly IAreaService _areaService;
        private readonly INoticeService _noticeService;
        public PubController(IAreaService areaService,INoticeService noticeService)
        {
            _areaService = areaService;
            _noticeService = noticeService;
        }

        /// <summary>
        /// 获取首页信息
        /// </summary>
        /// <param name="sid"></param>
        /// <returns></returns>
        [HttpGet]
        public async Task<IPoAction> GetMain(string sid)
        {
            bool isOnline = false;
            if (!string.IsNullOrEmpty(sid))
            {
                isOnline = true;
            }

            var areaData = await _areaService.GetAreaData();
            var notice = await _noticeService.GetNoticeDataByTake(5);
            int OnCount = 100;            
            return PoAction.Ok(new { area = areaData ,notice,isOnline,onCount=OnCount});
        }
    }
}